<transition name="fade">
    <header id="masthead" class="header" role="banner">
        <div class="top-site">
            <div class="first-row">
                <span class="mobile-menu" v-on:click="menuOpen()"></span>
                <router-link :to="{path: '/about/contacts/'}" class="address"><span v-html="data.address"></span></router-link>
                <router-link :to="{ path: '/'}" class="logo">
                    <img class="logo-img" src="/wp-content/themes/BKS/src/assets/svg/logo.svg">
                </router-link>
                <a :href="'tel:'+data.phone" class="phone">
                    <span class="" v-html="data.phone"></span>
                </a>
            </div>
        </div>
        <nav class="site-navigation">
            <div class="menu" id="menu">
                <div v-for="item in data.mainMenu" :key="item.ID"  class="menu-item" >
                    <router-link  :to="{ path: getUrlName(item.url) }" class="menu-itemlink" :class="item.classes">
                        <img class="menu-icon" v-if="item.xfn != ''" :src="'/wp-content/themes/BKS/src/assets/svg/'+item.xfn+'.svg'"></object>
                        <span class="menu-title" v-html="item.title"></span>
                    </router-link>
                    <transition name="fade">
                        <div v-if="item.children.length > 0" class="submenu">
                                <router-link v-for="subitem in item.children" :key="subitem.id" :to="{ path: getUrlName(subitem.url) }" class="submenu-item">{{ subitem.title }}</router-link>
                        </div>
                    </transition>
                </div>
            </div>
        </nav>
    </header>
</transition>